For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cancel Stake

DELETE https://api.sfox.com/v1/staking/:id

Cancel a pending stake transaction.

Only pending stakes (status = PENDING) may be canceled.

Path Parameters

Parameter
Type
Description

id required

int

The sFOX-generated ID of the pending stake transaction you wish to cancel.

Responses

202: Successfully Canceled Stake
//Response does not include a response body

Example Request

curl -X DELETE \
  -H 'Content-type: application/json' \
  -H 'Authorization: Bearer <API_TOKEN>' \
  'https://api.sfox.com/v1/staking/123'
const axios = require('axios');

axios({
  method: 'delete',
  url: 'https://api.sfox.com/v1/staking/123',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
import requests

data = requests.delete(
  "https://api.sfox.com/v1/staking/123",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)

Last updated